Bug 116244 - Configuration file marked as executable
Configuration file marked as executable
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: brltty (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Eido Inoue
: EasyFix
Depends On: 136884
Blocks: FC2Target FC3Target
  Show dependency treegraph
 
Reported: 2004-02-19 09:44 EST by Albert Strasheim
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.2-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-27 17:48:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Albert Strasheim 2004-02-19 09:44:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040115

Description of problem:
The following configuration files are marked as executable:

/etc/brltty.conf

Version-Release number of selected component (if applicable):
brltty-3.2-3

How reproducible:
Always

Steps to Reproduce:
1. ls -l /etc/brltty.conf

Actual Results:  Configuration file is marked as executable.

Expected Results:  Configuration file should not be marked as executable.

Additional info:
Comment 1 Albert Strasheim 2004-04-06 06:55:37 EDT
Still broken in brltty-3.2-3.1.1
Comment 2 Warren Togami 2004-10-11 02:55:53 EDT
I wish to apply this, but first I want clarification about
/etc/brltty/  It seems to contain mostly binary data and not
configuration files.  Doesn't this violate the FHS?

diff -u -p -r1.4 brltty.spec
--- brltty.spec 9 Sep 2004 03:38:00 -0000       1.4
+++ brltty.spec 11 Oct 2004 06:58:00 -0000
@@ -1,6 +1,6 @@
 Name: brltty
 Version: 3.2
-Release: 4
+Release: 5
 License: GPL
 Group: System Environment/Daemons
 URL: http://mielke.cc/brltty/
@@ -32,13 +32,19 @@ do
    cp -rp "${file}" "${directory}/${file}"
 done

+chmod 644 %{_sysconfdir}/brltty.conf
+
 %install
+rm -rf $RPM_BUILD_ROOT
 make install-programs install-help install-tables install-drivers
install-manpage
 install Documents/brltty.conf "${RPM_BUILD_ROOT}/etc"
 rm -f ${RPM_BUILD_ROOT}/bin/brltty
 rm -f ${RPM_BUILD_ROOT}/bin/install-brltty
 rm -rf ${RPM_BUILD_ROOT}/lib/brltty/*

+%clean
+rm -rf $RPM_BUILD_ROOT
+
 %post
 devices="/dev/vcsa /dev/vcsa0 /dev/vcc/a"
 install=true
@@ -68,13 +74,17 @@ fi
 %doc Bootdisks/rhmkboot Bootdisks/rhmkroot
 %doc doc/*
 %doc /usr/share/man/man1/*
-%config(noreplace) /etc/brltty.conf
+%config(noreplace) %{_sysconfdir}/brltty.conf
 %{_bindir}/brltty
 %{_bindir}/install-brltty
 %{_libdir}/brltty/*
-/etc/brltty
+%{_sysconfdir}/brltty

 %changelog
+* Sun Oct 10 2004 Warren Togami <wtogami@redhat.com> 3.2-5
+- #116244 /etc/brltty.conf should not be executable
+- other spec cleanups
+
 * Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
 - rebuilt

Comment 3 Eido Inoue 2004-10-22 16:30:05 EDT
darn. can't get it through the build system on all platforms.

Note You need to log in before you can comment on or make changes to this bug.